---
name: release

on:
  - push

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout main
        uses: actions/checkout@v4
      - name: Build only
        uses: shalzz/zola-deploy-action@v0.20.0
        env:
          BUILD_ONLY: true
      - name: Upload artifacts
        uses: actions/upload-artifact@v4
        with:
          name: main
          path: public/
